[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [dpkg] 06/24: debian: Add libncurses-dev as the first Build-Depends alternative



Hi!

On Fri, 2018-05-04 at 08:01:02 +0200, Sven Joachim wrote:
> On 2018-05-04 02:49 +0000, Guillem Jover wrote:
> > diff --git a/debian/control b/debian/control
> > index 123a8e0..e636673 100644
> > --- a/debian/control
> > +++ b/debian/control
> > @@ -21,7 +21,7 @@ Build-Depends:
> >   libbz2-dev,
> >   liblzma-dev,
> >   libselinux1-dev [linux-any],
> > - libncursesw5-dev,
> > + libncurses-dev | libncursesw5-dev,
> 
> This should be libncurses-dev (>= 6.1+20180210) | libncursesw5-dev
> instead.  The old libncurses5-dev package had a Provides: libncurses-dev,
> and if somebody builds on a system which has not made the ncurses
> transition yet, dselect loses wide character support.

Ah right, thanks, will fix this up later today.

Regards,
Guillem


Reply to: